Subject: signals and blocking calls
From: [email-masked] (Tim Newsham)

26 Jun 1997 15:16:19 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL24 PGP3 *ALPHA*]
Original-Sender: [email-masked]

Hi,

    I've noticed that there are some times when I cannot
get a signal delivered to a process.  For examle when I
am reading from a socket and the read blocks, signals seem to 
not get delivered (until the read unblocks).  If the
read blocks permanently, the program is unkillable
and unsignallable.  Is there anything I can do (short of
using a seperate thread or non-blocking I/O) to get
reliable signalling ? 

                                Tim N.

(I can provide example code if necessary).
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".